# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    import bs4 as BeautifulSoup

    proxies = {}
    if isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    urlversion = "http://www.patrice-rabiller.fr/SineQuaNon/menusqn.htm"

    page = wgets(urlversion, proxies=proxies)
    bs = BeautifulSoup.BeautifulSoup(page)

    bs_raw_string = str(bs.findAll("p")[3]).split("version ", 1)[1]
    version = bs_raw_string.split(" -", 1)[0]

    url = "http://www.patrice-rabiller.fr/telechargements/"
    url64 = url + "Installe_Sinequanon.exe"
    print(url64)

    filenamex64 = "Installe_Sinequanon-%s.exe" % version

    for fileexe in glob.glob("*.exe"):
        if fileexe != filenamex64:
            print("Delete " + fileexe)
            remove_file(fileexe)

    if not isfile(filenamex64):
        print("Download " + url64)
        wget(url64, filenamex64, proxies=proxies)

    control.load_control_from_wapt()

    control.version = version + "-10"
    control.save_control_to_wapt()
